﻿<Window x:Class="Tpig.Examples.Test.MainWindow"
        xmlns="http://schemas.microsoft.com/winfx/2006/xaml/presentation"
        xmlns:d="http://schemas.microsoft.com/expression/blend/2008"
        xmlns:x="http://schemas.microsoft.com/winfx/2006/xaml"
        xmlns:mc="http://schemas.openxmlformats.org/markup-compatibility/2006"
        xmlns:sys="clr-namespace:System;assembly=System.Runtime"
        xmlns:comp="clr-namespace:Tpig.Components.CustomUi;assembly=Tpig.Components.CustomUi"
        mc:Ignorable="d"
        Title="Test CustomUi" Height="450" Width="600">
    <Window.Resources>
        <ResourceDictionary>
            <ResourceDictionary.MergedDictionaries>
                <ResourceDictionary Source="/Tpig.Components.CustomUi;component/Locales/Lang-CustomUi.xaml"/>
                <ResourceDictionary Source="/Tpig.Components.CustomUi;component/Styles/BlendCurve.xaml"/>
                <ResourceDictionary Source="/Tpig.Examples.Test;component/Locales/Lang-CustomUi.Tests.xaml"/>
                <ResourceDictionary>
                    <sys:String x:Key="ChangeLocale_En">Change language to English</sys:String>
                    <sys:String x:Key="ChangeLocale_Th">เปลี่ยนภาษาเป็น ภาษาไทย</sys:String>
                </ResourceDictionary>
            </ResourceDictionary.MergedDictionaries>
        </ResourceDictionary>
    </Window.Resources>

    <Grid>
        <DockPanel Margin="16">
            <DockPanel.Resources>
                <Style TargetType="Button" BasedOn="{StaticResource BlendCurveBlueButton}">
                    <Setter Property="Margin" Value="4,0"/>
                    <Setter Property="Padding" Value="8,4"/>
                </Style>

                <Style TargetType="comp:PlaceholderTextBox" BasedOn="{StaticResource BlendCurveRedPlaceholderTextBox}">
                    <Setter Property="Margin" Value="4,2"/>
                    <Setter Property="Padding" Value="8,4"/>
                </Style>
            </DockPanel.Resources>

            <TextBlock DockPanel.Dock="Top" Margin="0,0,0,8" FontWeight="Bold" Text="{DynamicResource Message_Title}"/>
            <UniformGrid DockPanel.Dock="Top" Margin="0,0,0,16" Columns="3">
                <Button Command="{Binding MessageCommand}" CommandParameter="Question" Content="{DynamicResource Message_Question}"/>
                <Button Command="{Binding MessageCommand}" CommandParameter="Info" Content="{DynamicResource Message_Info}"/>
                <Button Command="{Binding MessageCommand}" CommandParameter="Warn" Content="{DynamicResource Message_Warn}"/>
            </UniformGrid>

            <TextBlock DockPanel.Dock="Top" Margin="0,0,0,8" FontWeight="Bold" Text="{DynamicResource Wait_Title}"/>
            <UniformGrid DockPanel.Dock="Top" Margin="0,0,0,16" Columns="2">
                <Button Command="{Binding WaitCommand}" CommandParameter="Background" Content="{DynamicResource Wait_Background}"/>
                <Button Command="{Binding WaitCommand}" CommandParameter="Foreground" Content="{DynamicResource Wait_Foreground}"/>
            </UniformGrid>

            <TextBlock DockPanel.Dock="Top" Margin="0,0,0,8" FontWeight="Bold" Text="{DynamicResource AlphaWait_Title}"/>
            <UniformGrid DockPanel.Dock="Top" Margin="0,0,0,16" Columns="2">
                <Button Command="{Binding WaitCommand}" CommandParameter="Alpha0%" Content="{DynamicResource AlphaWait_0%}"/>
                <Button Command="{Binding WaitCommand}" CommandParameter="Alpha50%" Content="{DynamicResource AlphaWait_50%}"/>
            </UniformGrid>

            <TextBlock DockPanel.Dock="Top" Margin="0,0,0,8" FontWeight="Bold" Text="{DynamicResource PlaceholderTextBox_Title}"/>
            <StackPanel DockPanel.Dock="Top" Margin="0,0,0,16" Orientation="Vertical">
                <comp:PlaceholderTextBox Placeholder="{DynamicResource PlaceholderTextBox_AlignLeft}" PlaceholderAlignment="Left"/>
                <comp:PlaceholderTextBox Placeholder="{DynamicResource PlaceholderTextBox_AlignCenter}" PlaceholderAlignment="Center"/>
                <comp:PlaceholderTextBox Placeholder="{DynamicResource PlaceholderTextBox_AlignRight}" PlaceholderAlignment="Right"/>
                <comp:PlaceholderTextBox Placeholder="{DynamicResource PlaceholderTextBox_AlignJustify}" PlaceholderAlignment="Justify"/>
            </StackPanel>

            <DockPanel/>
        </DockPanel>

        <StackPanel Orientation="Horizontal" VerticalAlignment="Top" HorizontalAlignment="Right">
            <StackPanel.Resources>
                <Style TargetType="RadioButton" BasedOn="{StaticResource BlendCurveBlueButton}">
                    <Setter Property="Padding" Value="4,4"/>
                    <Setter Property="GroupName" Value="ChangeLocale"/>
                    <Setter Property="Command" Value="{Binding ChangeLocaleCommand}"/>
                </Style>
            </StackPanel.Resources>
            <RadioButton CommandParameter="en" ToolTip="{DynamicResource ChangeLocale_En}" x:Name="ChangeLocaleEnButton">EN</RadioButton>
            <RadioButton CommandParameter="th" ToolTip="{DynamicResource ChangeLocale_Th}" x:Name="ChangeLocaleThButton">TH</RadioButton>
        </StackPanel>

        <comp:WaitControl x:Name="WaitControl"/>
        <comp:AlphaWaitControl x:Name="AlphaWaitControl"/>
    </Grid>
</Window>
